#include <stdio.h>
#include <windows.h>
#include <string.h>

typedef void (*HOOK_INSTALL)(void);
typedef void (*HOOK_UNINSTALL)(void);

int WINAPI WinMain(HINSTANCE inst, HINSTANCE prev, LPSTR cmd, int show) {

	HOOK_INSTALL install;
	HOOK_UNINSTALL uninstall;
	MSG msg;
	
	HMODULE dll = LoadLibraryA("kb.dll");
	if(dll == NULL) {
		return 1;
	}

	install = (HOOK_INSTALL)GetProcAddress(dll,"hook_install");
	uninstall = (HOOK_UNINSTALL)GetProcAddress(dll,"hook_uninstall");

	install();

	while(1) {
		GetMessageA(&msg,NULL,0,0);
		DispatchMessage(&msg);
	}

	uninstall();
	FreeLibrary(dll);
	CloseHandle(dll);
	return 0;
}
